function p = betap(x,a,b);
%BETAP	Beta cumulative distribution function.
%	BETAP(X,A,B) gives P(X < x) where X follows a BETA distribution
%	with parameters A > 0 and B > 0.  A and B must be scalars.
%
%   courtesy of:
%   Smyth, G. K. (1999). StatBox 4.1: A statistics toolbox for Matlab. 
%   University of Queensland, Brisbane 
%   (www.maths.uq.edu.au/~gks/matlab/statbox.html).

p = zeros(size(x));

k = find(x >= 1);
if any(k), p(k) = ones(size(k)); end

k = find(x > 0 & x < 1);
if any(k), p(k) = betainc(x(k),a,b); end
   
